.
Results 1 to 13 of 13

Thread: Schwäninger Land Missing Dependencies

  1. #1

    Default Schwäninger Land Missing Dependencies

    I have just downloaded Schwäninger Land Version 0.8 from the Download Station and Tane Content Manager is telling me that there are a number of missing dependencies, all by Rbach, as follows

    <kuid:263713:8151>
    <kuid:263713:8152>
    <kuid:263713:8153>
    <kuid:263713:8155>
    <kuid:263713:8156>
    <kuid:263713:8157>
    <kuid:263713:8158>
    <kuid:263713:8159>
    <kuid:263713:8160>
    <kuid:263713:8161>
    <kuid:263713:8162>
    <kuid:263713:8163>
    <kuid:263713:8164>
    <kuid:263713:8165>
    <kuid:263713:8168>
    <kuid:263713:8182>
    <kuid:263713:8183>
    <kuid:263713:8184>
    <kuid:263713:8185>
    <kuid:263713:8186>
    <kuid:263713:150005>
    <kuid:263713:150006>
    <kuid:263713:150008>

    Is Schwäninger Land no longer a multiplayer route?

    Regards

    Mike

  2. #2
    Join Date
    Nov 2006
    Location
    Spain, España, Barcelona
    Posts
    1,148
     

    Default

    Hello

    I donwloaded the route and the session and only two dependencies from Rbach

    <kuid2:263713:9000:1> Tekstura corony białej lotos
    <kuid2:263713:470:1> Zwrotnik CAUER Lotos

    The two on DLS, but if you need the missing deps from another route or session, here are.

    Searched on google.

    http://trainz.krb.com.pl/download/zaleznosci-do-sygnalizacji-v5


    All deps are updated from your list.

    Best Regards

  3. #3

    Default

    manweb:

    Many thanks for the link. That seems to have solved the problem as far as the missing dependencies on my machine are concerned but as far as I recall, multiplayer routes only work if everything is on the DLS. The question therefore remains as to why these dependencies appear not to be on the DLS. They were all shown as being unknown and checking in Content Manager under kuid 263713 did not show any earlier versions.

    Regards

    Mike

  4. #4

    Wink

    Normally I don't bother with Routes/Sessions that where made for multi-player. I saw this on the DLS and decided to have a closer look. Checked out what .cdp's where in the route & session before I downloaded it and could see that it had a lots of German loco's & rolling stock.

    I was really pleasantly surprised at just how well this route & session has been made, after installing and running it. Really impressed, especially with the track work & scenery. Lots of really neat area's to explore, with plenty of loco's & rolling stock spread all over the layout.

    It can easily be played in "Single mode" All you need to do is allocate a "driver" to a "loco", and away you go. All the content of both the route & session downloaded OK. It took a while for it all to download.

    A big thank-you to the creator of this great and interesting route/session.

    Cheers, Mac...
    Last edited by meatloaf747; March 29th, 2019 at 11:21 PM.

  5. #5

    Default

    Quote Originally Posted by meatloaf747 View Post
    Normally I don't bother with Routes/Sessions that where made for multi-player. I saw this on the DLS and decided to have a closer look. Checked out what .cdp's where in the route & session before I downloaded it and could see that it had a lots of German loco's & rolling stock.

    I was really pleasantly surprised at just how well this route & session has been made, after installing and running it. Really impressed, especially with the track work & scenery. Lots of really neat area's to explore, with plenty of loco's & rolling stock spread all over the layout.

    It can easily be played in "Single mode" All you need to do is allocate a "driver" to a "loco", and away you go. All the content of both the route & session downloaded OK. It took a while for it all to download.

    A big thank-you to the creator of this great and interesting route/session.

    Cheers, Mac...
    I agree with your comments about the route entirely. It is an excellent route and I have been regularly downloading versions of it since it was at version 0.5. I was therefore very surprised when this time, I had a number of missing dependencies after downloading version 0.8, hence my original post.

    Do I take it that everything downloaded from the DLS? If so why, after several attempts and deletetions, the rbach items persisted in being missing "unknown assets"?
    Does it matter that I haven't updated TANE to the latest Beta version?

    PS:
    I did download it into TRS19, but that gave a number of scripting errors with some of cj187's signals.

    Regards

    Mike

  6. #6
    Join Date
    Oct 2007
    Location
    Australia, Queensland, CLINTON (QLD)
    Posts
    590
     

    Default

    Fix for Tane (not TRS19) anyone getting script errors with CJ187's signals - I deleted the faulty files, downloaded 'previous versions' and changed kuid numbers in the route config file they then showed not faulty.
    butler57

  7. #7

    Smile

    Quote Originally Posted by Stonegate View Post
    Do I take it that everything downloaded from the DLS? If so why, after several attempts and deletetions, the rbach items persisted in being missing "unknown assets"?
    Does it matter that I haven't updated TANE to the latest Beta version? Regards Mike
    Hi Mike & Butler 57,

    I downloaded the route & session into a clean install of Tane SP3 97285. Once the route .cdp & session .cdp had been installed, it took quite a while for all the dependencies of the route & session to be installed from the DLS. Once I started the session, a window opened and about 15 of the route/session .cdp's where updated. I was able to assign a driver to a loco, and away I went. A really interesting layout.

    After I closed and exited the session - route, I went back into Content Manager to check that the route & session weren't showing any faulty or missing dependencies. None where showing.

    I then decided to update to a brand new Tane SP3 HF1 98700 Beta. The update went without a hitch. The route & session ran really well in 98700. Content Manager is still not showing any faulty or missing dependencies for the route or session.

    Butler57; I didn't encounter any script errors with CJ187's signals in my new Tane 97285 then 98700. No other content installed, including DLC...


    Foot note;
    (1 day later); Installed route into my large Tane SP3 HF1 98700 Beta (894 Gigs in size). After downloading all the dependencies for the route & session from the DLS, I checked in Contents Manager as to whether there where any missing or faulty dependencies. No dependencies missing, but 13 signal related dependencies where showing as faulty.

    Hl H *** Hl H+Ral2 *** Hl H-60 *** Hl H/V *** Hl H/V+Ral2 *** Hl H/V-60 *** Hl Vorsignal *** Hl Vorsignal Wiederhole *** Form-Hauptsignal 8m (Gittemast) Hp0 HP1 *** Form-Hauptsignal 8m (Gittemast) Hp0 HP1 HP2 *** Form-Hauptsignal 8m Hp0/HP1/Hp2 *** Form-Hauptsignal 8m Hp0/HP2 *** Form-Vorsignal 4m Vr0/Vr1/Vr2

    Because these dependencies where downloaded from the DLS, I deleted them, then re-downloaded them again. They still show up as "Faulty". (Revert Back to Original is blanked out, so they can't be "Reverted"). What I can't work out is why these 13 dependencies show as non-faulty in a clean installs into 97285 & 98700, yet show as faulty in my very large Tane SP1 HF1 Beta 98700. "(Go figure)"...

    I'll
    try a complete Database Repair. We'll see if that helps. Possibly the "Beta" build might have something to do with it - "Assertions", etc... If so, why aren't they showing as faulty in my clean install into a new Tane SP1 HF1 Beta 98700 that doesn't have any DLC or additional DLS content??? It's got me stumped!!!

    Cheers, Mac...
    Last edited by meatloaf747; March 31st, 2019 at 09:54 PM.

  8. #8
    Join Date
    Aug 2014
    Location
    Berlin, Germany
    Posts
    70
     

    Default

    Hey

    I had a multiplayer run on Schwäninger Land 0.8 with the devs one week ago, I can say that its working just fine in T:ANE SP3, and as far as I know it has also been verified to work in TRS19 by others.
    Note that the route is pretty large and sometimes the DLS or CM are being a bit stupid and might not find everything. Otherwise there could obivously be the possibility of something slipping in from a DLC. If only users with T:ANE Standard but not Deluxe have the issue that could be a hint, so please state what you are using. I will try to relay this to the SL developers although 0.8 is the final T:ANE version as far as I know so this will most likely only affect future TRS19 releases.

    Alternatively try creating a thread on https://www.trainz.de/ about this which is much closer to the german community than the Auran Forums.

    As far as the faulty signals are concerned: Faulty content does not prevent you from playing MP so long as its still installed from the DLS. It will just not appear. This is quite stupid, especially when locos are affected (there are some that are faulty for some players and not for others as they are completely dependant on the mood of CM) but thats how it is. It should be a relatively easy fix for the signals though, they all just need one additional line added to their script to satisfy T:ANE SP3 and TRS19.


    Greets, Mika
    Trainz.DE-Team
    German route builder working on the Central Europe route project

    "It's always more fun to share with everyone" - Jack Johnson


  9. #9

    Wink

    Hi Mika,

    I'm using the Deluxe Version of Tane. I've installed Schwäninger Land 0.8 layout (& Session) into brand new installs of both Tane SP3 97285 & Tane SP3 HF1 98700 Beta. (No DLC or any additional DLS content). In both cases, all the route & session dependencies downloaded from the DLS OK. In both installs, there where no missing dependencies or faulty content. (signals work fine in both installs).

    I've run loco's in both installs and haven't had any problems. I'm very impressed with the layout. Lot's of interesting places to explore.

    The only install that I have a problem with is my very large Tane SP3 HF1 Beta 98700 (894 gigs) in size. The 13 signal dependencies show up as faulty in this install. I'm not worried, because I have downloaded a lot of 3rd party routes, sessions, scenery, loco's, rolling stock, etc, that aren't on the DLS, into this install. (from all sorts of 3rd party sites, from all over the world). (From ver 1.3 to Ver 4.5).
    The 13 faulty signal dependencies might have something to do with a 3rd party faulty script or faulty .cdp, that I've downloaded from a 3rd party site!!!. The main thing is the layout works perfectly in my two new clean Tane installs, so there is no missing or faulty .cdp's from the DLS, eg; route, session & dependencies downloads...

    Happy Trainzing,

    Cheers, Mac...
    Last edited by meatloaf747; April 1st, 2019 at 05:56 PM.

  10. #10

    Default

    Hi Mika,

    I am using TANE SP3 94829.

    With regard to the signals, I had no problem with them in TANE, they were only shown as faulty in TS19. Given that this version was indicated as for being TANE, I didn't follow up on the TS19 signal problems. My query was really with regard to the Missing/Unknown content. I now have the updated versions from the download link, thanks to manweb, but the non-updated versions are still listed as "unknown" by Content Manager.

    Is it possible that TANE SP3 97285 and 98700, came with additional content?

    Regards

    Mike

  11. #11

    Red face

    Quote Originally Posted by Stonegate View Post
    Is it possible that TANE SP3 97285 and 98700, came with additional content? Regards. Mike
    Hi Mike,

    Not that I'm a where of. I haven't heard of any extra content being added to either build, although one couldn't rule that possibility out. Maybe someone more knowledgeable on Tane matters could answer that question!

    When you talk about the non-updated versions are still listed "as unknown" by Content Manager which version are you talking about please? Is it the 0.8 version uploaded and available of the DLS 18/03/2019 or are you talking about your earlier version of Tane, that isn't up-to the latest beta, 98700?

    Cheers, Mac...

  12. #12
    Join Date
    Oct 2011
    Location
    New Caledonia
    Posts
    3,010
     

    Default

    Quote Originally Posted by meatloaf747 View Post
    Not that I'm a where of. I haven't heard of any extra content being added to either build, although one couldn't rule that possibility out.
    Check for multiple versions of dependencies, especially library dependencies that might have meshes.

    Due to a bug in Trainz, an older version of a dependency that includes meshes can make an asset faulty. Deleting that older version solves the problem. It is often the cause of good assets turning faulty for no apparent reason.

  13. #13

    Default

    None of the items in the TANE version are showing as faulty.

    I have checked the previous versions of this route (0.5, 0.65 and 0.71). Listing the dependencies of these older versions, shows that they all use the items that I had to download a few days ago from the external.

    These older versions never, ever had any missing dependencies. Unfortunately, I can no longer check with an older version of TANE.

    I still have version 0.1.1 on an old version of TRS12 and although possibly too early to be of much use, it did however, trigger a thought. Is it possible that these rbach items were originally FMA/Vendel Kuid:149987 items that have somehow gone wrong in the conversion?

    regards

    Mike

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •